<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="PotentialSensor">
  <refnamediv>
    <refname>PotentialSensor</refname>
    <refpurpose>Potential sensor</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/palettes/PotentialSensor.jpg" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_PotentialSensor">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="PotentialSensor">Potential sensor</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_PotentialSensor">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_PotentialSensor">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_PotentialSensor">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_PotentialSensor">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="PotentialSensor">Modelica model</link>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_PotentialSensor">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Electrical_pal">Electrical.cosf - Electrical toolbox</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_PotentialSensor">
    <title>Description</title>
    <para>
This block is used to measure the voltage with respect to the
reference voltage (<emphasis role="bold">Ground</emphasis> block) in an electrical circuit. The
voltage is given to the explicit part of the model via an explicit
output port.

</para>
  </refsection>
  <refsection id="Defaultproperties_PotentialSensor">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Inputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'p'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Outputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'v'
</para>
            <para>
Explicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para><emphasis role="bold">File name of the model :</emphasis> PotentialSensor</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_PotentialSensor">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/PotentialSensor.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Modelicamodel_PotentialSensor">
    <title>Modelica model</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/PotentialSensor.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
